package com.hikari.regedist

import com.hikari.regedist.service.QueryByPathService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RestController

@RestController
class QueryByPathController {

    @Autowired
    lateinit var queryByPathService: QueryByPathService

    @GetMapping(path = ["/policy/query"])
    fun find(path: String): Any {
        return queryByPathService.findByKeyPath(path)
    }
}