package com.hikari.regedist.domain

import javax.validation.constraints.NotEmpty

class PolicyItemForm {

    @NotEmpty(message = "策略项显示名称不可为空")
    var name: String? = null

    @NotEmpty(message = "策略id不可为空")
    var policyId: String? = null

    @NotEmpty(message = "策略项键不可为空")
    var itemKey: String? = null

    @NotEmpty(message = "策略项值不可为空")
    var itemValue: String? = null

    @NotEmpty(message = "策略项值类型不可为空")
    var itemType: String? = null

    var orderNum: Int? = null

    var description: String? = null

}