package com.hikari.regedist

import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.autoconfigure.domain.EntityScan
import org.springframework.boot.runApplication
import org.springframework.context.annotation.Import

@SpringBootApplication
@EntityScan(basePackages = ["com.hikari.regedist.entity"])
@Import(PolicyConfiguration::class)
class RegedistApplication

fun main(args: Array<String>) {
    runApplication<RegedistApplication>(*args)
}
