package com.hikari.regedist.dao

import com.hikari.regedist.entity.PolicyItem
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.JpaSpecificationExecutor

interface PolicyItemDao : JpaRepository<PolicyItem, String>, JpaSpecificationExecutor<PolicyItem> {

    fun findByPolicyIdAndName(id: String, name: String): PolicyItem?

    fun findByPolicyIdAndItemKey(id: String, key: String): PolicyItem?

}