package com.hikari.regedist.entity

import gaf3.core.jpa.GafTimestamp
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Id
import javax.persistence.Table

@Entity
@Table(name = "POLICY")
class Policy : GafTimestamp() {

    @Id
    @Column(name = "ID")
    var id: String? = null

    @Column(name = "NAME")
    var name: String? = null

    @Column(name = "PARENT_ID")
    var parentId: String? = null

    @Column(name = "POLICY_KEY")
    var policyKey: String? = null

    @Column(name = "DESCRIPTION")
    var description: String? = null

    @Column(name = "ORDER_NUM")
    var orderNum: Int? = null

    @Column(name = "REMARK")
    var remark: String? = null

}