package com.hikari.regedist.entity

import gaf3.core.jpa.GafTimestamp
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Id
import javax.persistence.Table

@Entity
@Table(name = "POLICY_ITEM")
class PolicyItem : GafTimestamp() {

    @Id
    @Column(name = "ID", length = 48)
    var id: String? = null

    @Column(name = "NAME", length = 255)
    var name: String? = null

    @Column(name = "POLICY_ID")
    var policyId: String? = null

    @Column(name = "ITEM_KEY", length = 48)
    var itemKey: String? = null

    @Column(name = "ITEM_VALUE", length = 255)
    var itemValue: String? = null

    @Column(name = "ITEM_TYPE", length = 48)
    var itemType: String? = null

    @Column(name = "ORDER_NUM", length = 10)
    var orderNum: Int? = null

    @Column(name = "DESCRIPTION", length = 255)
    var description: String? = null

    @Column(name = "REMARK", length = 255)
    var remark: String? = null

}